Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFont.Capitalization

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFont.Capitalization

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFont

    public static final class QFont.Capitalization

extends java.lang.Enum
implements QtEnumerator

Rendering option for text this font applies to.

See Also:
  Serialized Form

Field Summary
`static QFont.Capitalization` | `AllLowercase` This alters the text to be rendered in all lowercase type.
`static QFont.Capitalization` | `AllUppercase` This alters the text to be rendered in all uppercase type.
`static QFont.Capitalization` | `Capitalize` This alters the text to be rendered with the first character of each word as an uppercase character.
`static QFont.Capitalization` | `MixedCase` This is the normal text rendering option where no capitalization change is applied.
`static QFont.Capitalization` | `SmallCaps` This alters the text to be rendered in small-caps type.

Method Summary
`static QFont.Capitalization` | `resolve(int value)` Returns the QFont$Capitalization constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.Capitalization` | `valueOf(java.lang.String name)`
`static QFont.Capitalization[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MixedCase

    public static final QFont.Capitalization MixedCase

  This is the normal text rendering option where no capitalization change is applied.

### AllUppercase

    public static final QFont.Capitalization AllUppercase

  This alters the text to be rendered in all uppercase type.

### AllLowercase

    public static final QFont.Capitalization AllLowercase

  This alters the text to be rendered in all lowercase type.

### SmallCaps

    public static final QFont.Capitalization SmallCaps

  This alters the text to be rendered in small-caps type.

### Capitalize

    public static final QFont.Capitalization Capitalize

  This alters the text to be rendered with the first character of each word as an uppercase character.

Method Detail

### values

    public static QFont.Capitalization[] values()

### valueOf

    public static QFont.Capitalization valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.Capitalization resolve(int value)

  Returns the QFont$Capitalization constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD